AWS SDK for C++

AWS SDK for C++ Version 1.11.791

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Aws::S3::Model::PutBucketWebsiteRequest Class Reference

#include <PutBucketWebsiteRequest.h>

Inheritance diagram for Aws::S3::Model::PutBucketWebsiteRequest:
[legend]

Public Member Functions

AWS_S3_API PutBucketWebsiteRequest ()=default
 
virtual const char * GetServiceRequestName () const override
 
AWS_S3_API Aws::String SerializePayload () const override
 
AWS_S3_API void AddQueryStringParameters (Aws::Http::URI &uri) const override
 
 
AWS_S3_API bool HasEmbeddedError (IOStream &body, const Http::HeaderValueCollection &header) const override
 
AWS_S3_API Aws::String GetChecksumAlgorithmName () const override
 
bool RequestChecksumRequired () const override
 
AWS_S3_API EndpointParameters GetEndpointContextParams () const override
 
const Aws::StringGetBucket () const
 
bool BucketHasBeenSet () const
 
template<typename BucketT = Aws::String>
void SetBucket (BucketT &&value)
 
template<typename BucketT = Aws::String>
PutBucketWebsiteRequestWithBucket (BucketT &&value)
 
const Aws::StringGetContentMD5 () const
 
bool ContentMD5HasBeenSet () const
 
template<typename ContentMD5T = Aws::String>
void SetContentMD5 (ContentMD5T &&value)
 
template<typename ContentMD5T = Aws::String>
PutBucketWebsiteRequestWithContentMD5 (ContentMD5T &&value)
 
 
 
 
 
 
 
template<typename WebsiteConfigurationT = WebsiteConfiguration>
void SetWebsiteConfiguration (WebsiteConfigurationT &&value)
 
template<typename WebsiteConfigurationT = WebsiteConfiguration>
PutBucketWebsiteRequestWithWebsiteConfiguration (WebsiteConfigurationT &&value)
 
 
 
template<typename ExpectedBucketOwnerT = Aws::String>
void SetExpectedBucketOwner (ExpectedBucketOwnerT &&value)
 
template<typename ExpectedBucketOwnerT = Aws::String>
PutBucketWebsiteRequestWithExpectedBucketOwner (ExpectedBucketOwnerT &&value)
 
 
 
template<typename CustomizedAccessLogTagT = Aws::Map<Aws::String, Aws::String>>
void SetCustomizedAccessLogTag (CustomizedAccessLogTagT &&value)
 
template<typename CustomizedAccessLogTagT = Aws::Map<Aws::String, Aws::String>>
PutBucketWebsiteRequestWithCustomizedAccessLogTag (CustomizedAccessLogTagT &&value)
 
template<typename CustomizedAccessLogTagKeyT = Aws::String, typename CustomizedAccessLogTagValueT = Aws::String>
PutBucketWebsiteRequestAddCustomizedAccessLogTag (CustomizedAccessLogTagKeyT &&key, CustomizedAccessLogTagValueT &&value)
 

Public Member Functions inherited from Aws::S3::S3Request

virtual ~S3Request ()
 
 
 

Public Member Functions inherited from Aws::AmazonSerializableWebServiceRequest

 
 
std::shared_ptr< Aws::IOStreamGetBody () const override
 

Public Member Functions inherited from Aws::AmazonWebServiceRequest

 
virtual ~AmazonWebServiceRequest ()=default
 
 
virtual void SetAdditionalCustomHeaderValue (const Aws::String &headerName, const Aws::String &headerValue)
 
virtual void PutToPresignedUrl (Aws::Http::URI &uri) const
 
virtual bool IsStreaming () const
 
virtual bool IsEventStreamRequest () const
 
virtual bool HasEventStreamResponse () const
 
virtual bool SignBody () const
 
virtual bool IsChunked () const
 
virtual void SetRequestSignedHandler (const RequestSignedHandler &handler)
 
 
 
 
 
 
 
 
 
virtual bool ShouldComputeContentMd5 () const
 
virtual bool ShouldValidateResponseChecksum () const
 
 
virtual void SetServiceSpecificParameters (const std::shared_ptr< Http::ServiceSpecificParameters > &serviceSpecificParameters) const
 
 
 
 
 
 
void SetRetryContext (const RetryContext &context) const
 
 
virtual void SetHeadersReceivedEventHandler (const Aws::Http::HeadersReceivedEventHandler &headersReceivedEventHandler)
 
virtual void SetHeadersReceivedEventHandler (Aws::Http::HeadersReceivedEventHandler &&headersReceivedEventHandler)
 
virtual void SetDataReceivedEventHandler (const Aws::Http::DataReceivedEventHandler &dataReceivedEventHandler)
 
virtual void SetDataReceivedEventHandler (Aws::Http::DataReceivedEventHandler &&dataReceivedEventHandler)
 
virtual void SetDataSentEventHandler (const Aws::Http::DataSentEventHandler &dataSentEventHandler)
 
virtual void SetDataSentEventHandler (Aws::Http::DataSentEventHandler &&dataSentEventHandler)
 
virtual void SetContinueRequestHandler (const Aws::Http::ContinueRequestHandler &continueRequestHandler)
 
virtual void SetContinueRequestHandler (Aws::Http::ContinueRequestHandler &&continueRequestHandler)
 
virtual void SetRequestRetryHandler (const RequestRetryHandler &handler)
 
 
virtual void SetHeadersReceivedEventHandler (const Aws::Http::HeadersReceivedEventHandler &headersReceivedEventHandler)
 
virtual void SetHeadersReceivedEventHandler (Aws::Http::HeadersReceivedEventHandler &&headersReceivedEventHandler)
 
virtual void SetDataReceivedEventHandler (const Aws::Http::DataReceivedEventHandler &dataReceivedEventHandler)
 
virtual void SetDataReceivedEventHandler (Aws::Http::DataReceivedEventHandler &&dataReceivedEventHandler)
 
virtual void SetDataSentEventHandler (const Aws::Http::DataSentEventHandler &dataSentEventHandler)
 
virtual void SetDataSentEventHandler (Aws::Http::DataSentEventHandler &&dataSentEventHandler)
 
virtual void SetContinueRequestHandler (const Aws::Http::ContinueRequestHandler &continueRequestHandler)
 
virtual void SetContinueRequestHandler (Aws::Http::ContinueRequestHandler &&continueRequestHandler)
 
virtual void SetRequestRetryHandler (const RequestRetryHandler &handler)
 
 

Additional Inherited Members

Public Types inherited from Aws::S3::S3Request

 
 

Public Types inherited from Aws::AmazonWebServiceRequest

 

Protected Member Functions inherited from Aws::AmazonWebServiceRequest

virtual void DumpBodyToUrl (Aws::Http::URI &uri) const
 

Protected Attributes inherited from Aws::AmazonWebServiceRequest

 

Detailed Description

Definition at line 25 of file PutBucketWebsiteRequest.h.

Constructor & Destructor Documentation

◆ PutBucketWebsiteRequest()

AWS_S3_API Aws::S3::Model::PutBucketWebsiteRequest::PutBucketWebsiteRequest ( )
default

Member Function Documentation

◆ AddCustomizedAccessLogTag()

template<typename CustomizedAccessLogTagKeyT = Aws::String, typename CustomizedAccessLogTagValueT = Aws::String>
PutBucketWebsiteRequest & Aws::S3::Model::PutBucketWebsiteRequest::AddCustomizedAccessLogTag ( CustomizedAccessLogTagKeyT &&  key,
CustomizedAccessLogTagValueT &&  value 
)
inline

Definition at line 169 of file PutBucketWebsiteRequest.h.

◆ AddQueryStringParameters()

AWS_S3_API void Aws::S3::Model::PutBucketWebsiteRequest::AddQueryStringParameters ( Aws::Http::URI uri) const
overridevirtual

Reimplemented from Aws::AmazonWebServiceRequest.

◆ BucketHasBeenSet()

bool Aws::S3::Model::PutBucketWebsiteRequest::BucketHasBeenSet ( ) const
inline

The bucket name.

Definition at line 55 of file PutBucketWebsiteRequest.h.

◆ ChecksumAlgorithmHasBeenSet()

bool Aws::S3::Model::PutBucketWebsiteRequest::ChecksumAlgorithmHasBeenSet ( ) const
inline

Indicates the algorithm used to create the checksum for the request when you use the SDK. This header will not provide any additional functionality if you don't use the SDK. When you send this header, there must be a corresponding x-amz-checksum or x-amz-trailer header sent. Otherwise, Amazon S3 fails the request with the HTTP status code 400 Bad Request. For more information, see Checking object integrity in the Amazon S3 User Guide.

If you provide an individual checksum, Amazon S3 ignores any provided ChecksumAlgorithm parameter.

Definition at line 105 of file PutBucketWebsiteRequest.h.

◆ ContentMD5HasBeenSet()

bool Aws::S3::Model::PutBucketWebsiteRequest::ContentMD5HasBeenSet ( ) const
inline

The Base64 encoded 128-bit MD5 digest of the data. You must use this header as a message integrity check to verify that the request body was not corrupted in transit. For more information, see RFC 1864.

For requests made using the Amazon Web Services Command Line Interface (CLI) or Amazon Web Services SDKs, this field is calculated automatically.

Definition at line 78 of file PutBucketWebsiteRequest.h.

◆ CustomizedAccessLogTagHasBeenSet()

bool Aws::S3::Model::PutBucketWebsiteRequest::CustomizedAccessLogTagHasBeenSet ( ) const
inline

Definition at line 157 of file PutBucketWebsiteRequest.h.

◆ ExpectedBucketOwnerHasBeenSet()

bool Aws::S3::Model::PutBucketWebsiteRequest::ExpectedBucketOwnerHasBeenSet ( ) const
inline

The account ID of the expected bucket owner. If the account ID that you provide does not match the actual owner of the bucket, the request fails with the HTTP status code 403 Forbidden (access denied).

Definition at line 141 of file PutBucketWebsiteRequest.h.

◆ GetBucket()

const Aws::String & Aws::S3::Model::PutBucketWebsiteRequest::GetBucket ( ) const
inline

The bucket name.

Definition at line 54 of file PutBucketWebsiteRequest.h.

◆ GetChecksumAlgorithm()

ChecksumAlgorithm Aws::S3::Model::PutBucketWebsiteRequest::GetChecksumAlgorithm ( ) const
inline

Indicates the algorithm used to create the checksum for the request when you use the SDK. This header will not provide any additional functionality if you don't use the SDK. When you send this header, there must be a corresponding x-amz-checksum or x-amz-trailer header sent. Otherwise, Amazon S3 fails the request with the HTTP status code 400 Bad Request. For more information, see Checking object integrity in the Amazon S3 User Guide.

If you provide an individual checksum, Amazon S3 ignores any provided ChecksumAlgorithm parameter.

Definition at line 104 of file PutBucketWebsiteRequest.h.

◆ GetChecksumAlgorithmName()

AWS_S3_API Aws::String Aws::S3::Model::PutBucketWebsiteRequest::GetChecksumAlgorithmName ( ) const
overridevirtual

Reimplemented from Aws::AmazonWebServiceRequest.

◆ GetContentMD5()

const Aws::String & Aws::S3::Model::PutBucketWebsiteRequest::GetContentMD5 ( ) const
inline

The Base64 encoded 128-bit MD5 digest of the data. You must use this header as a message integrity check to verify that the request body was not corrupted in transit. For more information, see RFC 1864.

For requests made using the Amazon Web Services Command Line Interface (CLI) or Amazon Web Services SDKs, this field is calculated automatically.

Definition at line 77 of file PutBucketWebsiteRequest.h.

◆ GetCustomizedAccessLogTag()

const Aws::Map< Aws::String, Aws::String > & Aws::S3::Model::PutBucketWebsiteRequest::GetCustomizedAccessLogTag ( ) const
inline

Definition at line 156 of file PutBucketWebsiteRequest.h.

◆ GetEndpointContextParams()

AWS_S3_API EndpointParameters Aws::S3::Model::PutBucketWebsiteRequest::GetEndpointContextParams ( ) const
overridevirtual

Helper function to collect parameters (configurable and static hardcoded) required for endpoint computation.

Reimplemented from Aws::AmazonWebServiceRequest.

◆ GetExpectedBucketOwner()

const Aws::String & Aws::S3::Model::PutBucketWebsiteRequest::GetExpectedBucketOwner ( ) const
inline

The account ID of the expected bucket owner. If the account ID that you provide does not match the actual owner of the bucket, the request fails with the HTTP status code 403 Forbidden (access denied).

Definition at line 140 of file PutBucketWebsiteRequest.h.

◆ GetRequestSpecificHeaders()

AWS_S3_API Aws::Http::HeaderValueCollection Aws::S3::Model::PutBucketWebsiteRequest::GetRequestSpecificHeaders ( ) const
overridevirtual

Reimplemented from Aws::S3::S3Request.

◆ GetServiceRequestName()

virtual const char * Aws::S3::Model::PutBucketWebsiteRequest::GetServiceRequestName ( ) const
inlineoverridevirtual

Implements Aws::AmazonWebServiceRequest.

Definition at line 33 of file PutBucketWebsiteRequest.h.

◆ GetWebsiteConfiguration()

const WebsiteConfiguration & Aws::S3::Model::PutBucketWebsiteRequest::GetWebsiteConfiguration ( ) const
inline

Container for the request.

Definition at line 120 of file PutBucketWebsiteRequest.h.

◆ HasEmbeddedError()

AWS_S3_API bool Aws::S3::Model::PutBucketWebsiteRequest::HasEmbeddedError ( IOStream body,
const Http::HeaderValueCollection header 
) const
overridevirtual

Reimplemented from Aws::AmazonWebServiceRequest.

◆ RequestChecksumRequired()

bool Aws::S3::Model::PutBucketWebsiteRequest::RequestChecksumRequired ( ) const
inlineoverridevirtual

Reimplemented from Aws::AmazonWebServiceRequest.

Definition at line 43 of file PutBucketWebsiteRequest.h.

◆ SerializePayload()

AWS_S3_API Aws::String Aws::S3::Model::PutBucketWebsiteRequest::SerializePayload ( ) const
overridevirtual

◆ SetBucket()

template<typename BucketT = Aws::String>
void Aws::S3::Model::PutBucketWebsiteRequest::SetBucket ( BucketT &&  value)
inline

The bucket name.

Definition at line 57 of file PutBucketWebsiteRequest.h.

◆ SetChecksumAlgorithm()

void Aws::S3::Model::PutBucketWebsiteRequest::SetChecksumAlgorithm ( ChecksumAlgorithm  value)
inline

Indicates the algorithm used to create the checksum for the request when you use the SDK. This header will not provide any additional functionality if you don't use the SDK. When you send this header, there must be a corresponding x-amz-checksum or x-amz-trailer header sent. Otherwise, Amazon S3 fails the request with the HTTP status code 400 Bad Request. For more information, see Checking object integrity in the Amazon S3 User Guide.

If you provide an individual checksum, Amazon S3 ignores any provided ChecksumAlgorithm parameter.

Definition at line 106 of file PutBucketWebsiteRequest.h.

◆ SetContentMD5()

template<typename ContentMD5T = Aws::String>
void Aws::S3::Model::PutBucketWebsiteRequest::SetContentMD5 ( ContentMD5T &&  value)
inline

The Base64 encoded 128-bit MD5 digest of the data. You must use this header as a message integrity check to verify that the request body was not corrupted in transit. For more information, see RFC 1864.

For requests made using the Amazon Web Services Command Line Interface (CLI) or Amazon Web Services SDKs, this field is calculated automatically.

Definition at line 80 of file PutBucketWebsiteRequest.h.

◆ SetCustomizedAccessLogTag()

template<typename CustomizedAccessLogTagT = Aws::Map<Aws::String, Aws::String>>
void Aws::S3::Model::PutBucketWebsiteRequest::SetCustomizedAccessLogTag ( CustomizedAccessLogTagT &&  value)
inline

Definition at line 159 of file PutBucketWebsiteRequest.h.

◆ SetExpectedBucketOwner()

template<typename ExpectedBucketOwnerT = Aws::String>
void Aws::S3::Model::PutBucketWebsiteRequest::SetExpectedBucketOwner ( ExpectedBucketOwnerT &&  value)
inline

The account ID of the expected bucket owner. If the account ID that you provide does not match the actual owner of the bucket, the request fails with the HTTP status code 403 Forbidden (access denied).

Definition at line 143 of file PutBucketWebsiteRequest.h.

◆ SetWebsiteConfiguration()

template<typename WebsiteConfigurationT = WebsiteConfiguration>
void Aws::S3::Model::PutBucketWebsiteRequest::SetWebsiteConfiguration ( WebsiteConfigurationT &&  value)
inline

Container for the request.

Definition at line 123 of file PutBucketWebsiteRequest.h.

◆ WebsiteConfigurationHasBeenSet()

bool Aws::S3::Model::PutBucketWebsiteRequest::WebsiteConfigurationHasBeenSet ( ) const
inline

Container for the request.

Definition at line 121 of file PutBucketWebsiteRequest.h.

◆ WithBucket()

template<typename BucketT = Aws::String>
PutBucketWebsiteRequest & Aws::S3::Model::PutBucketWebsiteRequest::WithBucket ( BucketT &&  value)
inline

The bucket name.

Definition at line 62 of file PutBucketWebsiteRequest.h.

◆ WithChecksumAlgorithm()

PutBucketWebsiteRequest & Aws::S3::Model::PutBucketWebsiteRequest::WithChecksumAlgorithm ( ChecksumAlgorithm  value)
inline

Indicates the algorithm used to create the checksum for the request when you use the SDK. This header will not provide any additional functionality if you don't use the SDK. When you send this header, there must be a corresponding x-amz-checksum or x-amz-trailer header sent. Otherwise, Amazon S3 fails the request with the HTTP status code 400 Bad Request. For more information, see Checking object integrity in the Amazon S3 User Guide.

If you provide an individual checksum, Amazon S3 ignores any provided ChecksumAlgorithm parameter.

Definition at line 110 of file PutBucketWebsiteRequest.h.

◆ WithContentMD5()

template<typename ContentMD5T = Aws::String>
PutBucketWebsiteRequest & Aws::S3::Model::PutBucketWebsiteRequest::WithContentMD5 ( ContentMD5T &&  value)
inline

The Base64 encoded 128-bit MD5 digest of the data. You must use this header as a message integrity check to verify that the request body was not corrupted in transit. For more information, see RFC 1864.

For requests made using the Amazon Web Services Command Line Interface (CLI) or Amazon Web Services SDKs, this field is calculated automatically.

Definition at line 85 of file PutBucketWebsiteRequest.h.

◆ WithCustomizedAccessLogTag()

template<typename CustomizedAccessLogTagT = Aws::Map<Aws::String, Aws::String>>
PutBucketWebsiteRequest & Aws::S3::Model::PutBucketWebsiteRequest::WithCustomizedAccessLogTag ( CustomizedAccessLogTagT &&  value)
inline

Definition at line 164 of file PutBucketWebsiteRequest.h.

◆ WithExpectedBucketOwner()

template<typename ExpectedBucketOwnerT = Aws::String>
PutBucketWebsiteRequest & Aws::S3::Model::PutBucketWebsiteRequest::WithExpectedBucketOwner ( ExpectedBucketOwnerT &&  value)
inline

The account ID of the expected bucket owner. If the account ID that you provide does not match the actual owner of the bucket, the request fails with the HTTP status code 403 Forbidden (access denied).

Definition at line 148 of file PutBucketWebsiteRequest.h.

◆ WithWebsiteConfiguration()

template<typename WebsiteConfigurationT = WebsiteConfiguration>
PutBucketWebsiteRequest & Aws::S3::Model::PutBucketWebsiteRequest::WithWebsiteConfiguration ( WebsiteConfigurationT &&  value)
inline

Container for the request.

Definition at line 128 of file PutBucketWebsiteRequest.h.


The documentation for this class was generated from the following file: